| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Craphelp Class Referencefinal

Craphelp. More...

`#include <craphelp.h>`

Inheritance diagram for Craphelp:

## Public Member Functions
void | helpLogsFormat (const std::string &path, const QFont &font, const ColorsScheme colors_scheme_id) const noexcept
| Provides help about log formats.
void | helpLogsFormatDefault (std::string_view file_name, const QFont &font, const ColorsScheme colors_scheme_id) const noexcept
| Provides help about log formats.

## Detailed Description

Craphelp.

Displays an help window

## Member Function Documentation

## ◆ helpLogsFormat()

void Craphelp::helpLogsFormat | ( | const std::string & | path,
|  | const QFont & | font,
|  | const ColorsScheme | colors_scheme_id ) const
| noexcept

Provides help about log formats.

Parameters

  path | The path of the file resource to be displayed
  font | The font to be used
  colors_scheme_id | The ID of the color-scheme to be used

Exceptions

  DoNotCatchException |

## ◆ helpLogsFormatDefault()

void Craphelp::helpLogsFormatDefault | ( | std::string_view | file_name,
|  | const QFont & | font,
|  | const ColorsScheme | colors_scheme_id ) const
| noexcept

Provides help about log formats.

Shows the built-in default version in case the file for the currently selected locale was not found or unreadable

Parameters

  file_name | The file that was supposed to be shown
  font | The font to be used
  colors_scheme_id | The ID of the color-scheme to be used

Exceptions

  DoNotCatchException |

The documentation for this class was generated from the following files:

- logdoctor/modules/craphelp/craphelp.h
- logdoctor/modules/craphelp/craphelp.cpp